Package org.eclipse.birt.report.model.api.impl

# Class SimpleElementFactory

java.lang.Object
org.eclipse.birt.report.model.api.impl.SimpleElementFactory

All Implemented Interfaces:
  `ISimpleElementFactory`

public class SimpleElementFactory extends Object implements ISimpleElementFactory
The factory class to create scriptable objects.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.ISimpleElementFactory

`MULTI_ROW_ITEM, SIMPLE_ROW_ITEM`

## Constructor Summary

Constructors
Constructor
Description
`SimpleElementFactory()`

## Method Summary

Modifier and Type
Method
Description
`IAction`
`createAction()`
Create the action structure.
`IAction`
`createAction(ActionHandle action, ReportItemHandle handle)`
Creates the action structure.
`IDataBinding`
`createDataBinding()`
Create `IDataBinding`
`IDataBinding`
`createDataBinding(ComputedColumnHandle columnHandle)`
Creates the data biinding structure.
`IDataBinding`
`createDataBinding(ComputedColumn column)`
Creates the data biinding structure.
`IDataSet`
`createDataSet(DataSetHandle handle)`
Creates the IDataSet instance.
`IDataSource`
`createDataSource(DataSourceHandle handle)`
Creates the IDataSource instance.
`IExpression`
`createExpression()`
Creates `IExpression` instance.
`IFilterCondition`
`createFilterCondition()`
Create `IFilterCondition`
`IFilterCondition`
`createFilterCondition(FilterCondition condition)`
Creates the IFilterCondition instance.
`IFilterCondition`
`createFilterCondition(FilterConditionHandle handle)`
Creates the IFilterCondition instance.
`IFilterConditionElement`
`createFilterConditionElement(FilterConditionElementHandle handle)`
Creates `IFilterConditionElement` instance.
`IHideRule`
`createHideRule()`
Create `IHideRule` instance
`IHideRule`
`createHideRule(HideRule rule)`
Create `IHideRule` instance
`IHideRule`
`createHideRule(HideRuleHandle handle)`
Create `IHideRule` instance
`IHighlightRule`
`createHighlightRule()`
Create `IHighlightRule` instance
`IHighlightRule`
`createHighlightRule(HighlightRule highlightRule)`
Create `IHighlightRule` instance
`IHighlightRule`
`createHighlightRule(HighlightRuleHandle handle)`
Create `IHighlightRule` instance
`IResultSetColumn`
`createResultSetColumn()`
Creates the IResultSetColumn instance.
`IResultSetColumn`
`createResultSetColumn(ResultSetColumnHandle columnHandle)`
Creates the IResultSetColumn instance.
`ISortCondition`
`createSortCondition()`
Create `ISortCondition`
`ISortCondition`
`createSortCondition(SortKey sort)`
Creates the sort structure.
`ISortCondition`
`createSortCondition(SortKeyHandle sortHandle)`
Creates the sort structure.
`ISortElement`
`createSortElement(SortElementHandle handle)`
Create `ISortElement` instance.
`IStyle`
`createStyle(StyleHandle style)`
Create `IStyle` instance
`IDesignElement`
`getElement(DesignElementHandle handle)`
Creates the IDesignElement instance.
`IReportItem`
`wrapExtensionElement(ExtendedItemHandle handle, int type)`
Creates the scriptable object for the corresponding element handles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleElementFactory

public SimpleElementFactory()

## Method Details

### wrapExtensionElement

public IReportItem wrapExtensionElement(ExtendedItemHandle handle, int type)
Description copied from interface: `ISimpleElementFactory`
Creates the scriptable object for the corresponding element handles.

Specified by:
  `wrapExtensionElement` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle
  `type` - the expected data row type. Can be `MULTI_ROW_ITEM` or `EMPTY_ROW_ITEM`
Returns:
  the scriptable object

### createHideRule

public IHideRule createHideRule()
Create `IHideRule` instance

Specified by:
  `createHideRule` in interface `ISimpleElementFactory`
Returns:
  IHideRule

### createHideRule

public IHideRule createHideRule(HideRule rule)
Description copied from interface: `ISimpleElementFactory`
Create `IHideRule` instance

Specified by:
  `createHideRule` in interface `ISimpleElementFactory`
Parameters:
  `rule` - the structure to create corresponding IHideRule instance.
Returns:
  IHideRule

### createHideRule

public IHideRule createHideRule(HideRuleHandle handle)
Description copied from interface: `ISimpleElementFactory`
Create `IHideRule` instance

Specified by:
  `createHideRule` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IHideRule instance.
Returns:
  IHideRule

### createFilterCondition

public IFilterCondition createFilterCondition()
Create `IFilterCondition`

Specified by:
  `createFilterCondition` in interface `ISimpleElementFactory`
Returns:
  instance

### createFilterCondition

public IFilterCondition createFilterCondition(FilterCondition condition)
Description copied from interface: `ISimpleElementFactory`
Creates the IFilterCondition instance.

Specified by:
  `createFilterCondition` in interface `ISimpleElementFactory`
Parameters:
  `condition` - the structure to create corresponding IFilterCondition instance.
Returns:
  the IFilterCondition instance

### createFilterCondition

public IFilterCondition createFilterCondition(FilterConditionHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates the IFilterCondition instance.

Specified by:
  `createFilterCondition` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IFilterCondition instance.
Returns:
  the IFilterCondition instance

### createDataBinding

public IDataBinding createDataBinding()
Create `IDataBinding`

Specified by:
  `createDataBinding` in interface `ISimpleElementFactory`
Returns:
  instance

### createDataBinding

public IDataBinding createDataBinding(ComputedColumnHandle columnHandle)
Description copied from interface: `ISimpleElementFactory`
Creates the data biinding structure.

Specified by:
  `createDataBinding` in interface `ISimpleElementFactory`
Parameters:
  `columnHandle` - the computed column handle
Returns:
  the data binding

### createDataBinding

public IDataBinding createDataBinding(ComputedColumn column)
Description copied from interface: `ISimpleElementFactory`
Creates the data biinding structure.

Specified by:
  `createDataBinding` in interface `ISimpleElementFactory`
Parameters:
  `column` - the computed column
Returns:
  the data binding

### createSortCondition

public ISortCondition createSortCondition()
Create `ISortCondition`

Specified by:
  `createSortCondition` in interface `ISimpleElementFactory`
Returns:
  instance

### createSortCondition

public ISortCondition createSortCondition(SortKey sort)
Description copied from interface: `ISimpleElementFactory`
Creates the sort structure.

Specified by:
  `createSortCondition` in interface `ISimpleElementFactory`
Parameters:
  `sort` - the structure to create corresponding ISortCondition instance.
Returns:
  the sort

### createSortCondition

public ISortCondition createSortCondition(SortKeyHandle sortHandle)
Description copied from interface: `ISimpleElementFactory`
Creates the sort structure.

Specified by:
  `createSortCondition` in interface `ISimpleElementFactory`
Returns:
  the sort

### createAction

public IAction createAction(ActionHandle action, ReportItemHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates the action structure.

Specified by:
  `createAction` in interface `ISimpleElementFactory`
Parameters:
  `action` - the structure handle
  `handle` - the element handle that holds the action structure
Returns:
  the action

### createAction

public IAction createAction()
Description copied from interface: `ISimpleElementFactory`
Create the action structure.

Specified by:
  `createAction` in interface `ISimpleElementFactory`
Returns:
  the action.

### getElement

public IDesignElement getElement(DesignElementHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates the IDesignElement instance.

Specified by:
  `getElement` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IDesignElement instance.
Returns:
  the IDesignElement instance

### createDataSet

public IDataSet createDataSet(DataSetHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates the IDataSet instance.

Specified by:
  `createDataSet` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IDataSet instance.
Returns:
  the IDataSet instance

### createResultSetColumn

public IResultSetColumn createResultSetColumn(ResultSetColumnHandle columnHandle)
Description copied from interface: `ISimpleElementFactory`
Creates the IResultSetColumn instance.

Specified by:
  `createResultSetColumn` in interface `ISimpleElementFactory`
Returns:
  the IResultSetColumn instance

### createResultSetColumn

public IResultSetColumn createResultSetColumn()
Description copied from interface: `ISimpleElementFactory`
Creates the IResultSetColumn instance.

Specified by:
  `createResultSetColumn` in interface `ISimpleElementFactory`
Returns:
  the IResultSetColumn instance

### createDataSource

public IDataSource createDataSource(DataSourceHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates the IDataSource instance.

Specified by:
  `createDataSource` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IDataSource instance.
Returns:
  the IDataSource instance

### createHighlightRule

public IHighlightRule createHighlightRule()
Description copied from interface: `ISimpleElementFactory`
Create `IHighlightRule` instance

Specified by:
  `createHighlightRule` in interface `ISimpleElementFactory`
Returns:
  IHighlightRule

### createHighlightRule

public IHighlightRule createHighlightRule(HighlightRule highlightRule)
Description copied from interface: `ISimpleElementFactory`
Create `IHighlightRule` instance

Specified by:
  `createHighlightRule` in interface `ISimpleElementFactory`
Parameters:
  `highlightRule` - the structure to create corresponding IHighlightRule instance.
Returns:
  IHighlightRule

### createHighlightRule

public IHighlightRule createHighlightRule(HighlightRuleHandle handle)
Description copied from interface: `ISimpleElementFactory`
Create `IHighlightRule` instance

Specified by:
  `createHighlightRule` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the element handle to create corresponding IHighlightRule instance.
Returns:
  IHighlightRule

### createStyle

public IStyle createStyle(StyleHandle style)
Description copied from interface: `ISimpleElementFactory`
Create `IStyle` instance

Specified by:
  `createStyle` in interface `ISimpleElementFactory`
Returns:
  IStyle

### createFilterConditionElement

public IFilterConditionElement createFilterConditionElement(FilterConditionElementHandle handle)
Description copied from interface: `ISimpleElementFactory`
Creates `IFilterConditionElement` instance.

Specified by:
  `createFilterConditionElement` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the filterConditionElement handle to create corresponding IFilterConditionElement instance.
Returns:
  IFilterConditionElement

### createSortElement

public ISortElement createSortElement(SortElementHandle handle)
Description copied from interface: `ISimpleElementFactory`
Create `ISortElement` instance.

Specified by:
  `createSortElement` in interface `ISimpleElementFactory`
Parameters:
  `handle` - the handle to create corresponding ISortElement instance.
Returns:
  ISortElement

### createExpression

public IExpression createExpression()
Description copied from interface: `ISimpleElementFactory`
Creates `IExpression` instance.

Specified by:
  `createExpression` in interface `ISimpleElementFactory`
Returns:
  IExpression